STRUCTS_TYPE_POINTER(3)

NAME
structs_type_pointer - structs type for pointers

LIBRARY
PDEL Library (libpdel, -lpdel)

SYNOPSIS
#include <sys/types.h>
#include <pdel/structs/structs.h>
#include <pdel/structs/type/pointer.h>
STRUCTS_POINTER_TYPE(reftype, mtype);

DESCRIPTION
The STRUCTS_POINTER_TYPE() macro defines a structs(3) type (i.e., a struct structs_type) for describing pointers to data structures allocated from heap memory. reftype is the structs type describing the pointed-to data structure; it must be a pointer to a struct structs_type. mtype is the typed_mem(3) type used for allocating instances of the data structure.

The default value for this type is a pointer to a default value data structure.

It is illegal for a pointer described by this type to be NULL.

SEE ALSO
libpdel(3), structs(3), structs_type(3), typed_mem(3)

HISTORY
The PDEL library was developed at Packet Design, LLC. http://www.packetdesign.com/

AUTHORS
Archie Cobbs <archie@freebsd.org>